> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Api Token

> POST /settings/api-tokens — create token; returns full secret once.



## OpenAPI

````yaml /openapi.json post /v1/api-tokens
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/api-tokens:
    post:
      tags:
        - settings
      summary: Create Api Token
      description: POST /settings/api-tokens — create token; returns full secret once.
      operationId: create_api_token_v1_api_tokens_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateApiTokenRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema: {}
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateApiTokenRequest:
      properties:
        expires_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Expires At
        name:
          maxLength: 100
          minLength: 1
          title: Name
          type: string
        scopes:
          items:
            type: string
          minItems: 1
          title: Scopes
          type: array
      required:
        - name
        - scopes
      title: CreateApiTokenRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````